Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgroups.util
Class SeqnoRange

    java.lang.Object
      org.jgroups.util.Seqno
          org.jgroups.util.SeqnoRange

    public class SeqnoRange

extends Seqno

Keeps track of a range of messages to be retransmitted. A bit set is used to represent missing messages. Every non-received message has a corresponding bit set to 0, every received message is 1.

Author:
  Bela Ban

Field Summary

Fields inherited from class org.jgroups.util.Seqno
`DUMMY, RECEIVED`

Constructor Summary
`SeqnoRange(long low, long high)`

Method Summary
`void` | `clear(long... nums)`
`void` | `clear(long num)`
`boolean` | `contains(long num)`
`boolean` | `get(long num)`
`java.util.Collection<Range>` | `getBits(boolean value)` Returns ranges of all bit set to value
`long` | `getHigh()`
`protected int` | `getIndex(int num)`
`java.util.Collection<Range>` | `getMessagesToRetransmit()`
`int` | `getNumberOfMissingMessages()`
`int` | `getNumberOfReceivedMessages()`
`java.lang.String` | `print()`
`java.lang.String` | `printBits(boolean value)`
`void` | `set(long... nums)`
`void` | `set(long num)`
`int` | `size()`
`java.lang.String` | `toString()`

Methods inherited from class org.jgroups.util.Seqno
`equals, getLow, hashCode, isDummy, received`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SeqnoRange

    public SeqnoRange(long low,
                      long high)

Method Detail

### getHigh

    public long getHigh()

### contains

    public boolean contains(long num)

  Overrides:
    `contains` in class `Seqno`

### get

    public boolean get(long num)

  Overrides:
    `get` in class `Seqno`

### set

    public void set(long num)

  Overrides:
    `set` in class `Seqno`

### set

    public void set(long... nums)

### clear

    public void clear(long num)

  Overrides:
    `clear` in class `Seqno`

### clear

    public void clear(long... nums)

### getNumberOfReceivedMessages

    public int getNumberOfReceivedMessages()

  Overrides:
    `getNumberOfReceivedMessages` in class `Seqno`

### getNumberOfMissingMessages

    public int getNumberOfMissingMessages()

  Overrides:
    `getNumberOfMissingMessages` in class `Seqno`

### size

    public int size()

  Overrides:
    `size` in class `Seqno`

### getMessagesToRetransmit

    public java.util.Collection<Range> getMessagesToRetransmit()

  Overrides:
    `getMessagesToRetransmit` in class `Seqno`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Seqno`

### print

    public java.lang.String print()

  Overrides:
    `print` in class `Seqno`

### getIndex

    protected int getIndex(int num)

### printBits

    public java.lang.String printBits(boolean value)

### getBits

    public java.util.Collection<Range> getBits(boolean value)

  Returns ranges of all bit set to value

  Parameters:
    `value` - If true, returns all bits set to 1, else 0
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.